#if !defined(RUN_IN_WIN32)
precision mediump float;
#endif

varying vec4 v_vec4Color;
varying vec2 v_vec2UV;

uniform mat4 u_mat4MVP;
uniform sampler2D u_s2dTexture;

void main ()
{
    vec4 baseColor = texture2D(u_s2dTexture, v_vec2UV);
    vec4 final_color = baseColor * v_vec4Color;
    float gray_value = dot(final_color.rgb, vec3(0.3, 0.59, 0.11));
    gl_FragColor = vec4(gray_value, gray_value, gray_value, final_color.a);
}
