#if !defined(RUN_IN_WIN32)
precision mediump float;
#endif
varying vec4 colorVarying;
varying vec2 uvVarying;
uniform float alpha;
uniform sampler2D tex0;

void main()
{
    vec4 baseColor = texture2D(tex0, uvVarying);
    gl_FragColor = vec4(baseColor.xyz, baseColor.w*alpha);
}
